<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/StorableImpl.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - StorableImpl.hh Details</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >StorableImpl.hh</h1><h2 class="heading">Includes from this file:</h2><p>No includes.</p>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes</h3>
<div class="item"><a href="../Scopes/StorableImpl.html" >StorableImpl</a>
<div class="doc">Storable implementation.</div></div>

</div>
<div><h3>Data members in StorableImpl</h3>
<div class="item"><a href="../Scopes/StorableImpl.html#_m" >_m</a>
<div class="doc">Private data.</div></div>

</div>
<div><h3>Member functions in StorableImpl</h3>
<div class="item"><a href="../Scopes/StorableImpl.html#StorableImpl_l_r" >StorableImpl&#40;&#41;</a>
<div class="doc">Constructor.</div></div>
<div class="item"><a href="../Scopes/StorableImpl.html#store_lStorage_mObjectState_ptr_r" >store&#40;Storage::ObjectState_ptr&#41;</a>
<div class="doc">Store the given object state.</div></div>

</div>
<div><h3>Structs in StorableImpl</h3>
<div class="item"><a href="../Scopes/StorableImpl.html#Private" >Private</a>
<div class="doc"></div></div>
</div>

</body>
</html>
